cloud image package list differs from germinate output

Bug #1224504 reported by Scott Moser on 2013-09-12
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Seeds
Fix Released
Medium
Unassigned

Bug Description

I was playing around with 'germinate' (looking at data at [1]) with regard to the cloud images.
The cloud image for amd64 is a strict superset compared to germinate output.

Below is the additional list of packages in the image.

at
ethtool
fonts-ubuntu-font-family-console
grub2-common
grub-common
grub-gfxpayload-lists
grub-pc
grub-pc-bin
landscape-client
libfreetype6
libiw30
libnl-3-200
libnl-genl-3-200
libpcsclite1
libreadline5
linux-headers-3.11.0-7
linux-headers-3.11.0-7-generic
linux-headers-generic
linux-headers-virtual
linux-image-3.11.0-7-generic
linux-image-virtual
linux-virtual
os-prober
python-pycurl
python-twisted-names
python-twisted-web
wireless-tools
wpasupplicant

I did some initial digging, and it seems like many of those probably come in as depends from the kernel installation.

I noticed that the build process's live-build branch [2] declares in package-lists/ubuntu-cloud that it has 'Tasks' of 'server' and 'standard' explicitly, and that it names 'landscape-client' and 'ubuntu-minimal' by name as packages. None of these should be necessary. The seed structure [3] declares that cloud-image is dependent on 'standard' so that should not be necessary.
The and the cloud-image seed includes 'landscape-common'.

So, the changes I'd like to be made are:
 * either change 'STRUCTURE' at [3] to make cloud-image depend on 'server' or not, but remove the 'server' task from the installation.
 * remove landscape-client from manual installation
 * remove ubuntu-minimal from manual installation. I'm not sure why we would have this, or actually the reason for its being (compared with a task). Probably should figure that out.
 * figure out if 'landscape-client' (package-lists/ubuntu-cloud) or 'landscape-common' ubuntu.saucy/cloud-image is "the right package" for landscape and fix in the seed.
 * maybe add 'grub-pc' to the seed as '[amd64 i386]'. grub-pc makes the packages list from live-builds scripts/build/lb_binary_debian-installer. We clearly do want grub-pc. I think i'm ok with not adding to the seed though.

--
[1] http://people.canonical.com/~ubuntu-archive/germinate-output/ubuntu.saucy/
[2] https://code.launchpad.net/~ubuntu-on-ec2/live-build/cloud-images/
[3] https://code.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ubuntu.saucy/

I think the path forward is to canonize the idea that Cloud images are server + cloudy packages.

With that I would put landscape-client in the server seed. Then I can change the live-build recipe for Saucy.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1224504/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

I typo'd the '--fixes' bug in revno 2161 of saucy seeds.

At this point, the seeds are where we want them:
revno: 2161 [merge]

fixes bug: https://launchpad.net/bugs/1224505
committer: Scott Moser <email address hidden>
branch nick: ubuntu.saucy
timestamp: Tue 2013-09-17 08:37:19 -0400
message:
  cloud-image cleanups. depend on server and install landscape-client.

  This does 2 things, both just putting the seed in alignment with the
  build process:
   * make cloud image a super set of 'server'. The build process was
     explicitly installing the 'server' task.
   * add landscape-client. The build process was installing
     landscape-client manually.

  See bug 1224504 for more information.

Scott Moser (smoser) wrote :

Just posting this for reference. There were no resultant package changes after these changes were made.
That was expected.

Scott Moser (smoser) wrote :

For reference:
09/12/13 10:51:37 <utlemming> [08:51] <andreas> utlemming: common has the landscape-sysinfo plugin, which displays part of the motd

So thats why landscape-common exists in seeds.

Scott Moser (smoser) wrote :

i had a conversation with cjwatson in ubuntu-devel [1].
As a result,
 a.) I am wrong about dropping server. That is correct. The duplication is unfortunate, but expected.
 b.) keep ubuntu-minimal
 c.) do not add grub-pc
 d.) I just reverted the change to STRUCTURE (in revno 2164 of ubuntu.saucy).

So in the end, all I did here was add 'landscape-client' to the ubuntu seed.

The only thing left to do is remove landscape-client from manual installation.

--
[1] http://irclogs.ubuntu.com/2013/09/19/%23ubuntu-devel.html

affects: ubuntu → uec-live-build
affects: uec-live-build → cloud-images
Mathew Hodson (mathew-hodson) wrote :

Marking fixed based on comment #8

affects: cloud-images → ubuntu-seeds
Changed in ubuntu-seeds:
status: Confirmed → Fix Released
To post a comment you must log in.